Description

For application that need to be able to manage users via a custom web interface the current implementation of
TYPO3\FLOW3\Security\Policy\Roles being serialized and stored within the TYPO3\FLOW3\Security\Account tables when persisted
to the database. The issue is that the roles are duplicated within the database since each user has their own copy (Which of course is
not huge problem) but there is no way of querying a group of users that have a certain role.

It would be nice to be able to use something like this to find users by role:

$accounts = $this->accountRepository->findByRole('FINANCE_ROLE');

And obtain either an array or QueryResult.

History
#1 - 2012-08-18 13:45 - Rens Admiraal
- Status changed from New to Accepted
- Assigned To set to Rens Admiraal

#2 - 2012-08-20 14:28 - Rens Admiraal

hi Pablo, would be cool if we can discuss the way you want to use roles on IRC somewhere next days

#3 - 2012-12-14 15:06 - Karsten Dambekalns
- Target version changed from 1.1.1 to 2.1

#4 - 2013-05-21 13:28 - Robert Lemke
- Target version deleted (2.1)
